<?php

declare(strict_types=1);

namespace App\Enum\Core;

use App\Enum\EnumMethodsTrait;

/**
 * Statuts des fichiers.
 */
enum FileStatusEnum: string
{
    use EnumMethodsTrait;

    case PENDING = 'PENDING';
    case READY = 'READY';
    case DELETED = 'DELETED';
    case ERROR = 'ERROR';
}
